Skip to main content

Get Access Control Rule by SID

This request returns data for a particular access control rule (ACR), targeted by secure ID.

get /accesscontrol/rules/{rule_sid}

Sample​

A sample GET request to get an access control rule, targeted by secure ID:

curl -X GET \
'https://api.carrierx.com/core/v2/accesscontrol/rules/dafd993d-0e99-4af9-b8fc-436fb01b0bbe' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 status code with a serialized copy of the Access Control Rule object:

{
"entries": [
"18007"
],
"field": "called",
"name": "1st",
"operation": "prefix",
"quantifier": "any",
"read_only": true,
"rule_sid": "dafd993d-0e99-4af9-b8fc-436fb01b0bbe"
}

The returned ACRs apply to the partner and the parent partner.

This request is enabled for Field Filtering.

Required Scopes​

To get information about Access Control Rule objects, the partner must have one of the following scopes enabled:

  • accesscontrol.manage
  • accesscontrol.read

Path Arguments​

ParameterData TypeDescription
rule_sid requiredstringThe Access Control Rule secure ID.